org.keycloak.services.util

## Class JsonConfigProvider.JsonScope

- java.lang.Object
- - org.keycloak.services.util.JsonConfigProvider.JsonScope

- All Implemented Interfaces:
    Config.Scope
  Enclosing class:
    JsonConfigProvider

      public class JsonConfigProvider.JsonScope
      extends Object
      implements Config.Scope

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonScope(com.fasterxml.jackson.databind.JsonNode config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `get(String key)`
    `String` | `get(String key, String defaultValue)`
    `String[]` | `getArray(String key)`
    `Boolean` | `getBoolean(String key)`
    `Boolean` | `getBoolean(String key, Boolean defaultValue)`
    `Integer` | `getInt(String key)`
    `Integer` | `getInt(String key, Integer defaultValue)`
    `Long` | `getLong(String key)`
    `Long` | `getLong(String key, Long defaultValue)`
    `Config.Scope` | `scope(String... path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonScope

          public JsonScope(com.fasterxml.jackson.databind.JsonNode config)

  - ### Method Detail

    - #### get

          public String get(String key)

      Specified by:
        `get` in interface `Config.Scope`

    - #### get

          public String get(String key,
                            String defaultValue)

      Specified by:
        `get` in interface `Config.Scope`

    - #### getArray

          public String[] getArray(String key)

      Specified by:
        `getArray` in interface `Config.Scope`

    - #### getInt

          public Integer getInt(String key)

      Specified by:
        `getInt` in interface `Config.Scope`

    - #### getInt

          public Integer getInt(String key,
                                Integer defaultValue)

      Specified by:
        `getInt` in interface `Config.Scope`

    - #### getLong

          public Long getLong(String key)

      Specified by:
        `getLong` in interface `Config.Scope`

    - #### getLong

          public Long getLong(String key,
                              Long defaultValue)

      Specified by:
        `getLong` in interface `Config.Scope`

    - #### getBoolean

          public Boolean getBoolean(String key)

      Specified by:
        `getBoolean` in interface `Config.Scope`

    - #### getBoolean

          public Boolean getBoolean(String key,
                                    Boolean defaultValue)

      Specified by:
        `getBoolean` in interface `Config.Scope`

    - #### scope

          public Config.Scope scope(String... path)

      Specified by:
        `scope` in interface `Config.Scope`

Copyright © 2021 JBoss by Red Hat. All rights reserved.